Ask Your Question

Revision history [back]

click to hide/show revision 1
initial version

Failing connection to nova-novnc Error 1006 becuase of UnsupportedRpcVersion

I am running devstack from the stable/havana branch.

When I try to connect to the novnc console from browser I get the error:-

"Failed to connect to server (code: 1006)"

After looking at the n-vnc screen, I see the following error

 25: 192.168.1.1: "GET /vnc_auto.html?token=eda2f19b-bf9d-432e-99d4-07523584ab00&title=tst001(b1a32137-3b82-48d8-a6bb-6e82853bc19e) HTTP/1.1" 200 -
 26: 192.168.1.1: new handler Process
 26: 192.168.1.1: Plain non-SSL (ws://) WebSocket connection
 26: 192.168.1.1: Version hybi-13, base64: 'False'
 26: 192.168.1.1: Path: '/websockify'
 26: handler exception: Remote error: UnsupportedRpcVersion Specified RPC version, 1.0, not supported by this endpoint.
[u'Traceback (most recent call last):\n', u'  File "/opt/stack/project/nova/nova/openstack/common/rpc/amqp.py", line 461, in _process_data\n    rval = self.proxy.dispatch(ctxt, version, method, namespace,\n', u'  File "/opt/stack/project/nova/nova/openstack/common/rpc/dispatcher.py", line 178, in dispatch\n    rpc_api_version = \'1.0\'\n', u'UnsupportedRpcVersion: Specified RPC version, 1.0, not supported by this endpoint.\n'].
 26: Traceback (most recent call last):
  File "/usr/local/lib/python2.7/dist-packages/websockify/websocket.py", line 711, in top_new_client
    self.new_client()
  File "/opt/stack/project/nova/nova/console/websocketproxy.py", line 56, in new_client
    connect_info = rpcapi.check_token(ctxt, token=token)
  File "/opt/stack/project/nova/nova/consoleauth/rpcapi.py", line 83, in check_token
    return self.client.call(ctxt, 'check_token', token=token)
  File "/opt/stack/project/nova/nova/rpcclient.py", line 85, in call
    return self._invoke(self.proxy.call, ctxt, method, **kwargs)
  File "/opt/stack/project/nova/nova/rpcclient.py", line 63, in _invoke
    return cast_or_call(ctxt, msg, **self.kwargs)
  File "/opt/stack/project/nova/nova/openstack/common/rpc/proxy.py", line 126, in call
    result = rpc.call(context, real_topic, msg, timeout)
  File "/opt/stack/project/nova/nova/openstack/common/rpc/__init__.py", line 139, in call
    return _get_impl().call(CONF, context, topic, msg, timeout)
  File "/opt/stack/project/nova/nova/openstack/common/rpc/impl_kombu.py", line 816, in call
    rpc_amqp.get_connection_pool(conf, Connection))
  File "/opt/stack/project/nova/nova/openstack/common/rpc/amqp.py", line 575, in call
    rv = list(rv)
  File "/opt/stack/project/nova/nova/openstack/common/rpc/amqp.py", line 540, in __iter__
    raise result
RemoteError: Remote error: UnsupportedRpcVersion Specified RPC version, 1.0, not supported by this endpoint.
[u'Traceback (most recent call last):\n', u'  File "/opt/stack/project/nova/nova/openstack/common/rpc/amqp.py", line 461, in _process_data\n    rval = self.proxy.dispatch(ctxt, version, method, namespace,\n', u'  File "/opt/stack/project/nova/nova/openstack/common/rpc/dispatcher.py", line 178, in dispatch\n    rpc_api_version = \'1.0\'\n', u'UnsupportedRpcVersion: Specified RPC version, 1.0, not supported by this endpoint.\n'].

What might be wrong? Please help.

Failing connection to nova-novnc Error 1006 becuase of UnsupportedRpcVersion

I am running devstack from the stable/havana branch.

When I try to connect to the novnc console from browser I get the error:-

"Failed to connect to server (code: 1006)"

After looking at the n-vnc screen, I see the following error

 25: 192.168.1.1: "GET /vnc_auto.html?token=eda2f19b-bf9d-432e-99d4-07523584ab00&title=tst001(b1a32137-3b82-48d8-a6bb-6e82853bc19e) HTTP/1.1" 200 -
 26: 192.168.1.1: new handler Process
 26: 192.168.1.1: Plain non-SSL (ws://) WebSocket connection
 26: 192.168.1.1: Version hybi-13, base64: 'False'
 26: 192.168.1.1: Path: '/websockify'
 26: handler exception: Remote error: UnsupportedRpcVersion Specified RPC version, 1.0, not supported by this endpoint.
[u'Traceback (most recent call last):\n', u'  File "/opt/stack/project/nova/nova/openstack/common/rpc/amqp.py", line 461, in _process_data\n    rval = self.proxy.dispatch(ctxt, version, method, namespace,\n', u'  File "/opt/stack/project/nova/nova/openstack/common/rpc/dispatcher.py", line 178, in dispatch\n    rpc_api_version = \'1.0\'\n', u'UnsupportedRpcVersion: Specified RPC version, 1.0, not supported by this endpoint.\n'].
 26: Traceback (most recent call last):
  File "/usr/local/lib/python2.7/dist-packages/websockify/websocket.py", line 711, in top_new_client
    self.new_client()
  File "/opt/stack/project/nova/nova/console/websocketproxy.py", line 56, in new_client
    connect_info = rpcapi.check_token(ctxt, token=token)
  File "/opt/stack/project/nova/nova/consoleauth/rpcapi.py", line 83, in check_token
    return self.client.call(ctxt, 'check_token', token=token)
  File "/opt/stack/project/nova/nova/rpcclient.py", line 85, in call
    return self._invoke(self.proxy.call, ctxt, method, **kwargs)
  File "/opt/stack/project/nova/nova/rpcclient.py", line 63, in _invoke
    return cast_or_call(ctxt, msg, **self.kwargs)
  File "/opt/stack/project/nova/nova/openstack/common/rpc/proxy.py", line 126, in call
    result = rpc.call(context, real_topic, msg, timeout)
  File "/opt/stack/project/nova/nova/openstack/common/rpc/__init__.py", line 139, in call
    return _get_impl().call(CONF, context, topic, msg, timeout)
  File "/opt/stack/project/nova/nova/openstack/common/rpc/impl_kombu.py", line 816, in call
    rpc_amqp.get_connection_pool(conf, Connection))
  File "/opt/stack/project/nova/nova/openstack/common/rpc/amqp.py", line 575, in call
    rv = list(rv)
  File "/opt/stack/project/nova/nova/openstack/common/rpc/amqp.py", line 540, in __iter__
    raise result
RemoteError: Remote error: UnsupportedRpcVersion Specified RPC version, 1.0, not supported by this endpoint.
[u'Traceback (most recent call last):\n', u'  File "/opt/stack/project/nova/nova/openstack/common/rpc/amqp.py", line 461, in _process_data\n    rval = self.proxy.dispatch(ctxt, version, method, namespace,\n', u'  File "/opt/stack/project/nova/nova/openstack/common/rpc/dispatcher.py", line 178, in dispatch\n    rpc_api_version = \'1.0\'\n', u'UnsupportedRpcVersion: Specified RPC version, 1.0, not supported by this endpoint.\n'].

What might be wrong? Please help.